*** src/bin/psql/describe.c
--- src/bin/psql/describe.c
***************
*** 1611,1638 **** describeRoles(const char *pattern, bool verbose)
  	PQExpBufferData buf;
  	PGresult   *res;
  	printQueryOpt myopt = pset.popt;
! 	static const bool trans_columns[] = {false, true, true, true, true, false, false};
  
  	initPQExpBuffer(&buf);
  
  	printfPQExpBuffer(&buf,
  					  "SELECT r.rolname AS \"%s\",\n"
! 				"  CASE WHEN r.rolsuper THEN '%s' ELSE '%s' END AS \"%s\",\n"
! 		   "  CASE WHEN r.rolcreaterole THEN '%s' ELSE '%s' END AS \"%s\",\n"
! 			 "  CASE WHEN r.rolcreatedb THEN '%s' ELSE '%s' END AS \"%s\",\n"
! 		"  CASE WHEN r.rolconnlimit < 0 THEN CAST('%s' AS pg_catalog.text)\n"
! 					  "       ELSE CAST(r.rolconnlimit AS pg_catalog.text)\n"
! 					  "  END AS \"%s\", \n"
  					  "  ARRAY(SELECT b.rolname FROM pg_catalog.pg_auth_members m JOIN pg_catalog.pg_roles b ON (m.roleid = b.oid) WHERE m.member = r.oid) as \"%s\"",
  					  gettext_noop("Role name"),
- 					  gettext_noop("yes"), gettext_noop("no"),
  					  gettext_noop("Superuser"),
! 					  gettext_noop("yes"), gettext_noop("no"),
  					  gettext_noop("Create role"),
- 					  gettext_noop("yes"), gettext_noop("no"),
  					  gettext_noop("Create DB"),
! 					  gettext_noop("no limit"),
! 					  gettext_noop("Connections"),
  					  gettext_noop("Member of"));
  
  	if (verbose)
--- 1611,1639 ----
  	PQExpBufferData buf;
  	PGresult   *res;
  	printQueryOpt myopt = pset.popt;
! 	static const bool trans_columns[] = {false, true, false, false};
  
  	initPQExpBuffer(&buf);
  
  	printfPQExpBuffer(&buf,
  					  "SELECT r.rolname AS \"%s\",\n"
! 					  "  array_to_string(ARRAY[\n"
! 				"    CASE WHEN r.rolsuper THEN '%s' ELSE NULL END,\n"
! 		  "    CASE WHEN NOT r.rolinherit THEN '%s' ELSE NULL END,\n"
! 		   "    CASE WHEN r.rolcreaterole THEN '%s' ELSE NULL END,\n"
! 			 "    CASE WHEN r.rolcreatedb THEN '%s' ELSE NULL END,\n"
! 		 "    CASE WHEN NOT r.rolcanlogin THEN '%s' ELSE NULL END,\n"
! 	   "    CASE WHEN r.rolconnlimit >= 0 THEN r.rolconnlimit::pg_catalog.text || ' %s' ELSE NULL END\n"
! 					  "  ], chr(10)) AS \"%s\",\n"
  					  "  ARRAY(SELECT b.rolname FROM pg_catalog.pg_auth_members m JOIN pg_catalog.pg_roles b ON (m.roleid = b.oid) WHERE m.member = r.oid) as \"%s\"",
  					  gettext_noop("Role name"),
  					  gettext_noop("Superuser"),
! 					  gettext_noop("No inherit"),
  					  gettext_noop("Create role"),
  					  gettext_noop("Create DB"),
! 					  gettext_noop("No login"),
! 					  gettext_noop("connections"),
! 					  gettext_noop("Attributes"),
  					  gettext_noop("Member of"));
  
  	if (verbose)
